package com.wzj.soopin.transaction.domain.bo.easypay.merchant.add;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PictureList {

    /**
     * 图片路径或图片ID
     */
    private String picPath;
    /**
     * 图片类型
     * 01 -> 法人身份证人像面
     * 02 -> 法人身份证国徽面
     * 03 -> 商户联系人身份证人像面
     * 04 -> 商户联系人身份证国徽面
     * 05 -> 营业执照
     */
    private String picType;

    /**
     * @param frontIdCard 身份证人像面
     * @param backIdCard 身份证国徽面
     * @return
     */
    public static List<PictureList> buildPictureList(String frontIdCard, String backIdCard) {
        List<PictureList> list = new ArrayList<>();
        list.add(PictureList.builder().picType("01").picPath(frontIdCard).build());
        list.add(PictureList.builder().picType("02").picPath(backIdCard).build());
        return list;
    }

}
